# SPDX-FileCopyrightText: no
# SPDX-License-Identifier: CC0-1.0
#
### pacstrap Module
#
# This module installs the base system and then copies files
# into the installation that will be used in the installed system
#

---
# basePackages is an array of package names to pass to pacstrap

basePackages:
  - base
  - base-devel

  - archlinux-keyring
  - melawy-linux-keyring
  - melawy-linux-mirrorlist
  - cachyos-keyring
  - cachyos-mirrorlist
  - arcolinux-keyring
  - arcolinux-mirrorlist-git
  - chaotic-keyring
  - chaotic-mirrorlist
  - endeavouros-keyring
  - endeavouros-mirrorlist
  - manjaro-keyring

  - linux-atm
  - linux-firmware
  - linux-firmware-marvell
  - linux-api-headers
  - linux-cachyos
  - linux-cachyos-headers

  - btrfs-progs
  - chwd
  - cryptsetup
  - device-mapper
  - diffutils
  - dosfstools
  - dracut
  - e2fsprogs
  - efibootmgr
  - exfatprogs
  - f2fs-tools
  - inetutils
  - iptables-nft
  - jfsutils
  - less
  - logrotate
  - lsb-release
  - lvm2
  - man-db
  - man-pages
  - mdadm
  - mkinitcpio
  - nano
  - netctl
  - ntfs-3g
  - os-prober
  - perl
  - plymouth
  - python
  - refind
  - reiserfsprogs
  - s-nail
  - sudo
  - sysfsutils
  - systemd-sysvcompat
  - texinfo
  - usbutils
  - which
  - xfsprogs
  - xterm

# postInstallFiles is an array of file names which will be copied into the system
#
# The paths should be relative to the host and the files will be copied to the
# location in the installed system

postInstallFiles:
  # - "/etc/modules-load.d/zfs.conf"
  # - "/usr/lib/modprobe.d/nvidia-utils.conf"
  # - "/usr/lib/modules-load.d/nvidia-utils.conf"
  - "/etc/NetworkManager/NetworkManager.conf"
  - "/etc/NetworkManager/conf.d/20-ipv4-dad.conf"
  - "/etc/NetworkManager/dispatcher.d/09-timezone"
  - "/etc/X11/xorg.conf.d/30-touchpad.conf"
  - "/etc/dnscrypt-proxy/dnscrypt-proxy.toml"
  - "/etc/dracut.conf.d/amdgpu.conf"
  - "/etc/dracut.conf.d/defaults.conf"
  - "/etc/dracut.conf.d/plymouth.conf"
  - "/etc/environment"
  - "/etc/fonts/local.conf"
  - "/etc/issue"
  - "/etc/locale.conf"
  - "/etc/locale.gen"
  - "/etc/lsb-release"
  - "/etc/makepkg-clang-without-lto.conf"
  - "/etc/makepkg-clang.conf"
  - "/etc/makepkg-gcc-without-lto.conf"
  - "/etc/makepkg-gcc.conf"
  - "/etc/makepkg.conf"
  - "/etc/motd"
  - "/etc/nsswitch.conf"
  - "/etc/pamac.conf"
  - "/etc/plymouth/plymouthd.conf"
  - "/etc/polkit-1/rules.d/10-timedate.rules"
  - "/etc/refind-menu-generator/theme.conf"
  - "/etc/reflector-simple.conf"
  - "/etc/sddm.conf"
  - "/etc/sddm.conf.d/10-wayland.conf"
  - "/etc/sddm.conf.d/hidpi.conf"
  - "/etc/sddm.conf.d/kde_settings.conf"
  - "/etc/skel/.bashrc"
  - "/etc/sysctl.d/99-local.conf"
  - "/etc/systemd/journald.conf"
  - "/etc/systemd/logind.conf"
  - "/etc/systemd/network/20-ethernet.network"
  - "/etc/systemd/network/20-wlan.network"
  - "/etc/systemd/network/20-wwan.network"
  - "/etc/systemd/resolved.conf.d/resolved.conf"
  - "/etc/resolv.conf"
  - "/etc/resolv.conf.bak"
  - "/etc/systemd/timesyncd.conf"
  - "/etc/systemd/zram-generator.conf"
  - "/etc/vconsole.conf"
  - "/etc/xdg/reflector/reflector.conf"
  - "/usr/bin/GPU-Intel-installer"
  - "/usr/local/bin/Installation_guide"
  - "/usr/local/bin/calamares-offline"
  - "/usr/local/bin/calamares-online"
  - "/usr/local/bin/calamares-online.sh"
  - "/usr/local/bin/choose-mirror"
  - "/usr/local/bin/chrooted-cleaner-script"
  - "/usr/local/bin/cleaner-script"
  - "/usr/local/bin/connection-checker"
  - "/usr/local/bin/copy-refind-theme_v1"
  - "/usr/local/bin/copy-refind-theme_v2"
  - "/usr/local/bin/create-pacman-keyring"
  - "/usr/local/bin/dmcheck"
  - "/usr/local/bin/fix-key"
  - "/usr/local/bin/fix-keys"
  - "/usr/local/bin/fixkey"
  - "/usr/local/bin/fixkeys"
  - "/usr/local/bin/livecd-sound"
  - "/usr/local/bin/online-install-nvidia-drivers"
  - "/usr/local/bin/prepare-live-desktop"
  - "/usr/local/bin/prepare-live-desktop.sh"
  - "/usr/local/bin/remove-nvidia"
  - "/usr/local/bin/remove-ucode"
  - "/usr/local/bin/remove-unneeded"
  - "/usr/local/bin/removeun"
  - "/usr/local/bin/removeun-online"
  - "/usr/local/bin/update-mirrorlist"
  - "/usr/share/X11/xorg.conf.d/30-touchpad.conf"
  - "/var/lib/sddm/.config/kcminputrc"
